Bug 759053 - notifyd doesn't support text markup
Summary: notifyd doesn't support text markup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-notifyd
Version: 17
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 770949 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-01 10:40 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 18:04:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 10027 None None None Never

Description David Kovalsky 2011-12-01 10:40:51 UTC
When yakuake starts in my XFCE session, I see
<html> (yakuake started text) </html>


I haven't seen the <html> tags in gnome in the past, so I'm guessing notify deamon in Gnome does support the markup. 


I'm not really sure if this is a feature or bug - and I'm not taking sides if sending HTML messages is a good idea either. If not supporting HTML syntax is a feature, I guess I'll switch this bug to yakuake to send plain text messages.

Comment 1 David Kovalsky 2011-12-01 10:43:06 UTC
xfce4-notifyd-0.2.2-1.fc16.x86_64
yakuake-2.9.8-3.fc16.x86_64

Comment 2 Christoph Wickert 2011-12-01 11:40:35 UTC
xfce4-notifyd *should* support markup and filter out elements it doesn't support (at least that'S what http://www.galago-project.org/specs/notification/0.9/x161.html says).

The question is if yakuake sends valid XML. Is there a way to get the complete message?

Comment 3 David Kovalsky 2011-12-01 12:59:26 UTC
Hmm, I looked into the code and see:

app/mainwindow.cpp (yakuake 2.9.8):

1182 void MainWindow::showStartupPopup()            
1183 {
1184     KAction* action = static_cast<KAction*>(actionCollection()->action("toggle-window-state"));
1185     QString shortcut(action->globalShortcut().toString());
1186     QString title(i18nc("@title:window", "<application>Yakuake</application> Notification"));
1187     QString message(i18nc("@info", "Application successfully started.<nl/>" "Press <shortcut>%1</shortcut> to use it ...", shortcut)); 

Since newline gets translated to </ br>, I guess it's a matter of what `message' does with the string. But I'm not a Developer and I know next to nothing about C++ :)

Comment 4 David Kovalsky 2011-12-19 02:17:53 UTC
So it's definitely not a matter of yakuake. Notifications from other apps (Audacious for example) exhibit the same behaviour - HTML tags printed instead of rich formatting.

Comment 5 Christoph Wickert 2011-12-30 12:50:20 UTC
*** Bug 770949 has been marked as a duplicate of this bug. ***

Comment 6 Fedora End Of Life 2013-01-16 22:28:14 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 David Kovalsky 2013-01-17 09:58:04 UTC
Still valid for F17, latest & greatest updates as of today
XFCE, Yakuake

Comment 8 Fedora Update System 2013-04-23 16:34:42 UTC
xfce4-notifyd-0.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-notifyd-0.2.3-1.fc19

Comment 9 Christoph Wickert 2013-04-23 18:04:24 UTC
Actually this already works as expected in 0.2.2.

To test , try something like: 
$ notify-send Test "<u>underline</u> <i>italic</i> <b>bold</b>"

Tags not listed at http://www.galago-project.org/specs/notification/0.9/x161.htmlare not supported and should not be used: "notifications should never take advantage of tags that are not listed above."

So to me the fault is clearly on the client side, applications should not use these tags and. Something like <shortcut>%1</shortcut> is not even valid HTML.

I think that xfce4-notifyd should strip out everything it doesn't support, that's why I filed https://bugzilla.xfce.org/show_bug.cgi?id=10027

Comment 10 Fedora Update System 2013-04-29 03:23:59 UTC
xfce4-notifyd-0.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.